#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1330\r"; sleep 2;
echo -e "write (0,1) -1538\r"; sleep 2;
echo -e "write (0,2) -1348\r"; sleep 2;
echo -e "write (0,3) -1339\r"; sleep 2;
echo -e "write (0,4) -1585\r"; sleep 2;
echo -e "write (0,5) -1484\r"; sleep 2;
echo -e "write (0,6) -1262\r"; sleep 2;
echo -e "write (0,9) -1315\r"; sleep 2;
echo -e "write (0,10) -1249\r"; sleep 2;
echo -e "write (0,11) -1368\r"; sleep 2;
echo -e "write (0,12) -1224\r"; sleep 2;
echo -e "write (0,13) -1525\r"; sleep 2;
echo -e "write (0,14) -1406\r"; sleep 2;
echo -e "write (1,0) -1412\r"; sleep 2;
echo -e "write (1,1) -1228\r"; sleep 2;
echo -e "write (1,2) -1303\r"; sleep 2;
echo -e "write (1,3) -1390\r"; sleep 2;
echo -e "write (1,4) -1303\r"; sleep 2;
echo -e "write (1,5) -1323\r"; sleep 2;
echo -e "write (1,6) -1212\r"; sleep 2;
echo -e "write (1,9) -1542\r"; sleep 2;
echo -e "write (1,10) -1461\r"; sleep 2;
echo -e "write (1,11) -1532\r"; sleep 2;
echo -e "write (1,12) -1590\r"; sleep 2;
echo -e "write (1,13) -1405\r"; sleep 2;
echo -e "write (1,14) -1617\r"; sleep 2;
echo -e "write (2,0) -1569\r"; sleep 2;
echo -e "write (2,1) -1567\r"; sleep 2;
echo -e "write (2,2) -1600\r"; sleep 2;
echo -e "write (2,3) -1591\r"; sleep 2;
echo -e "write (2,4) -1292\r"; sleep 2;
echo -e "write (2,5) -1600\r"; sleep 2;
echo -e "write (2,6) -1252\r"; sleep 2;
echo -e "write (2,9) -1233\r"; sleep 2;
echo -e "write (2,10) -1476\r"; sleep 2;
echo -e "write (2,11) -1236\r"; sleep 2;
echo -e "write (2,12) -1440\r"; sleep 2;
echo -e "write (2,13) -1529\r"; sleep 2;
echo -e "write (2,14) -1336\r"; sleep 2;
echo -e "write (3,0) -1405\r"; sleep 2;
echo -e "write (3,1) -1545\r"; sleep 2;
echo -e "write (3,2) -1390\r"; sleep 2;
echo -e "write (3,3) -1565\r"; sleep 2;
echo -e "write (3,4) -1472\r"; sleep 2;
echo -e "write (3,5) -1373\r"; sleep 2;
echo -e "write (3,6) -1648\r"; sleep 2;
echo -e "write (3,9) -1485\r"; sleep 2;
echo -e "write (3,10) -1445\r"; sleep 2;
echo -e "write (3,11) -1521\r"; sleep 2;
echo -e "write (3,12) -1471\r"; sleep 2;
echo -e "write (3,13) -1413\r"; sleep 2;
echo -e "write (3,14) -1486\r"; sleep 2;
echo -e "write (4,0) -1423\r"; sleep 2;
echo -e "write (4,1) -1484\r"; sleep 2;
echo -e "write (4,2) -1629\r"; sleep 2;
echo -e "write (4,3) -1600\r"; sleep 2;
echo -e "write (4,4) -1422\r"; sleep 2;
echo -e "write (4,5) -1465\r"; sleep 2;
echo -e "write (4,6) -1464\r"; sleep 2;
echo -e "write (4,9) -1438\r"; sleep 2;
echo -e "write (4,10) -1416\r"; sleep 2;
echo -e "write (4,11) -1550\r"; sleep 2;
echo -e "write (4,12) -1628\r"; sleep 2;
echo -e "write (4,13) -1429\r"; sleep 2;
echo -e "write (4,14) -1546\r"; sleep 2;
echo -e "write (5,0) -1560\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1584\r"; sleep 2;
echo -e "write (5,3) -1339\r"; sleep 2;
echo -e "write (5,4) -1560\r"; sleep 2;
echo -e "write (5,5) -1613\r"; sleep 2;
echo -e "write (5,6) -1287\r"; sleep 2;
echo -e "write (5,9) -1621\r"; sleep 2;
echo -e "write (5,10) -1600\r"; sleep 2;
echo -e "write (5,11) -1677\r"; sleep 2;
echo -e "write (5,12) -1223\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1580\r"; sleep 2;
echo -e "write (6,0) -1600\r"; sleep 2;
echo -e "write (6,1) -1306\r"; sleep 2;
echo -e "write (6,2) -1147\r"; sleep 2;
echo -e "write (6,3) -1600\r"; sleep 2;
echo -e "write (6,4) -1243\r"; sleep 2;
echo -e "write (6,5) -1326\r"; sleep 2;
echo -e "write (6,6) -1200\r"; sleep 2;
echo -e "write (6,9) -1431\r"; sleep 2;
echo -e "write (6,10) -1228\r"; sleep 2;
echo -e "write (6,11) -1429\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1387\r"; sleep 2;
echo -e "write (6,14) -1322\r"; sleep 2;
echo -e "write (8,0) -1376\r"; sleep 2;
echo -e "write (8,1) -1344\r"; sleep 2;
echo -e "write (8,2) -1287\r"; sleep 2;
echo -e "write (8,3) -1229\r"; sleep 2;
echo -e "write (8,4) -1344\r"; sleep 2;
echo -e "write (8,5) -1600\r"; sleep 2;
echo -e "write (8,6) -1362\r"; sleep 2;
echo -e "write (8,9) -1282\r"; sleep 2;
echo -e "write (8,10) -1500\r"; sleep 2;
echo -e "write (8,11) -1301\r"; sleep 2;
echo -e "write (8,12) -1375\r"; sleep 2;
echo -e "write (8,13) -1504\r"; sleep 2;
echo -e "write (8,14) -1340\r"; sleep 2;
echo -e "write (9,0) -1594\r"; sleep 2;
echo -e "write (9,1) -1420\r"; sleep 2;
echo -e "write (9,2) -1536\r"; sleep 2;
echo -e "write (9,3) -1458\r"; sleep 2;
echo -e "write (9,4) -1463\r"; sleep 2;
echo -e "write (9,5) -1366\r"; sleep 2;
echo -e "write (9,6) -1402\r"; sleep 2;
echo -e "write (9,9) -1526\r"; sleep 2;
echo -e "write (9,10) -1499\r"; sleep 2;
echo -e "write (9,11) -1482\r"; sleep 2;
echo -e "write (9,12) -1600\r"; sleep 2;
echo -e "write (9,13) -1459\r"; sleep 2;
echo -e "write (9,14) -1416\r"; sleep 2;
echo -e "write (10,0) -1686\r"; sleep 2;
echo -e "write (10,1) -1344\r"; sleep 2;
echo -e "write (10,2) -1453\r"; sleep 2;
echo -e "write (10,3) -1696\r"; sleep 2;
echo -e "write (10,4) -1570\r"; sleep 2;
echo -e "write (10,5) -1256\r"; sleep 2;
echo -e "write (10,6) -1508\r"; sleep 2;
echo -e "write (10,9) -1649\r"; sleep 2;
echo -e "write (10,10) -1441\r"; sleep 2;
echo -e "write (10,11) -1345\r"; sleep 2;
echo -e "write (10,12) -1441\r"; sleep 2;
echo -e "write (10,13) -1439\r"; sleep 2;
echo -e "write (10,14) -1479\r"; sleep 2;
echo -e "write (11,0) -1572\r"; sleep 2;
echo -e "write (11,1) -1590\r"; sleep 2;
echo -e "write (11,2) -1300\r"; sleep 2;
echo -e "write (11,3) -1471\r"; sleep 2;
echo -e "write (11,4) -1460\r"; sleep 2;
echo -e "write (11,5) -1517\r"; sleep 2;
echo -e "write (11,6) -1600\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1354\r"; sleep 2;
echo -e "write (11,11) -1398\r"; sleep 2;
echo -e "write (11,12) -1333\r"; sleep 2;
echo -e "write (11,13) -1240\r"; sleep 2;
echo -e "write (11,14) -1566\r"; sleep 2;
echo -e "write (12,0) -1553\r"; sleep 2;
echo -e "write (12,1) -1439\r"; sleep 2;
echo -e "write (12,2) -1389\r"; sleep 2;
echo -e "write (12,3) -1645\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1306\r"; sleep 2;
echo -e "write (12,7) -1386\r"; sleep 2;
echo -e "write (12,9) -1600\r"; sleep 2;
echo -e "write (12,10) -1600\r"; sleep 2;
echo -e "write (12,11) -1408\r"; sleep 2;
echo -e "write (12,12) -1348\r"; sleep 2;
echo -e "write (12,13) -1466\r"; sleep 2;
echo -e "write (12,14) -1633\r"; sleep 2;
echo -e "write (13,0) -1600\r"; sleep 2;
echo -e "write (13,1) -1439\r"; sleep 2;
echo -e "write (13,2) -1263\r"; sleep 2;
echo -e "write (13,3) -1315\r"; sleep 2;
echo -e "write (13,4) -1386\r"; sleep 2;
echo -e "write (13,5) -1302\r"; sleep 2;
echo -e "write (13,6) -1455\r"; sleep 2;
echo -e "write (13,9) -1672\r"; sleep 2;
echo -e "write (13,10) -1476\r"; sleep 2;
echo -e "write (13,11) -1356\r"; sleep 2;
echo -e "write (13,12) -1431\r"; sleep 2;
echo -e "write (13,13) -1200\r"; sleep 2;
echo -e "write (13,14) -1600\r"; sleep 2;
echo -e "write (14,0) -1600\r"; sleep 2;
echo -e "write (14,1) -1445\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1575\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1419\r"; sleep 2;
echo -e "write (14,6) -1575\r"; sleep 2;
echo -e "write (14,9) -1412\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1627\r"; sleep 2;
echo -e "write (14,12) -1345\r"; sleep 2;
echo -e "write (14,13) -1384\r"; sleep 2;
echo -e "write (14,14) -1600\r"; sleep 2;
echo -e "write (15,0) -1384\r"; sleep 2;
echo -e "write (15,1) -1600\r"; sleep 2;
echo -e "write (15,2) -1387\r"; sleep 2;
echo -e "write (15,3) -1497\r"; sleep 2;
echo -e "write (15,4) -1356\r"; sleep 2;
echo -e "write (15,5) -1402\r"; sleep 2;
echo -e "write (15,6) -1362\r"; sleep 2;
echo -e "write (15,7) -1488\r"; sleep 2;
echo -e "write (15,8) -1436\r"; sleep 2;
echo -e "write (15,9) -1363\r"; sleep 2;
echo -e "write (15,10) -1331\r"; sleep 2;
echo -e "write (15,11) -1381\r"; sleep 2;
echo -e "write (15,12) -1346\r"; sleep 2;
echo -e "write (15,13) -1508\r"; sleep 2;
echo -e "write (15,14) -1281\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7005 > ../log/fms_hvon_7005_$t.tex
echo Set new HV
cat ../log/fms_hvon_7005_$t.tex
